#!/bin/bash

pack_and_delete()
{
	local SUFFIX=$1
	shift
	local FIRST_LINE=$1
	local LAST_LINE=""
	local FILE_LIST=""
	while [ "X$1" != "X" ] ; do 
		LAST_LINE=$1 
		FILE_LIST="${FILE_LIST} $1"
		shift
	done
	if [ "XX${LAST_LINE}" = "XX" ] ; then
		return
	fi
        local FILE_NAME="${FIRST_LINE}_${LAST_LINE}${SUFFIX}"
##	echo ${FILE_NAME}
##	echo $FILE_LIST
	tar -czf ${FILE_NAME} $FILE_LIST
	rm -f $FILE_LIST
}

pushd /var/log/hspc

BUG_REPORTS=`find . -name rep\* ! -name \*.log ! -name \*.tar.gz -mtime 2 | sed "-es@^\.\/@@"`
PROBLEM_REPORTS=`find . -name p\* ! -name \*.log ! -name \*.tar.gz -mtime 2 | sed "-es@^\.\/@@"`
pack_and_delete '_bugs.tag.gz' ${BUG_REPORTS} 
pack_and_delete '_problems.tar.gz' ${PROBLEM_REPORTS} 

popd


