#!/bin/sh

# Create MySQL root password, if necessary
runmysql()
{
	local SQLUSER="root"

	if [ -f "/etc/psa/.psa.shadow" ] ; then
		SQLUSER="admin"
		SQLPASS="`cat /etc/psa/.psa.shadow`"
	fi

	if [ "X${SQLPASS}" = "X" ]; then
		mysql -u root || return $?
	else
		mysql -u${SQLUSER} -p${SQLPASS} || return $?
	fi
}

set_mysql_passwd()
{
	if [ "${SQLROOTPASS}" != "" ]; then
		echo "use mysql; update user set Password = \
			 PASSWORD(\"${SQLROOTPASS}\") where Host in \
			 (\"localhost\", \"`/bin/hostname`\") and User in \
			 (\"\", \"root\"); flush privileges;" | runmysql
	fi
}

if [ "X${NO_CHANGE_SQLPASSWD}" != "X" ]; then
	SQLROOTPASS="`/usr/sbin/hspc-pwgen -n -c 9`"
	set_mysql_passwd
	SQLPASS=${SQLROOTPASS}
	echo "MySQL root password is: ${SQLPASS}" >>${ADMIN_LETTER_FILE}
	echo "MySQL root password has been automatically generated and set in MySQL" >>${ADMIN_LETTER_FILE}
	echo "SQLPASS=${SQLPASS}" >> ${SHARE_VAR_FILE};
	echo "[client]" >> /root/.my.cnf
	echo "password=${SQLPASS}" >> /root/.my.cnf
fi
