#!/usr/bin/perl
#
# $Id: hspc_config_release.pl,v 1.5 2008-02-06 15:51:43 amark Exp $
#
# HSPcomplete Release post-installation configuration script
#
# (c) 2003 SWsoft, All rights reserved

use strict;

use HSPC::WebDB;

my $version = 'unknown';
## load file
{
	local $/ = undef;
	open (F, '< /etc/hspc-release') or die "Could not open /etc/hspc-release: $!";
	($version) = <F>;
	close(F);
}

## cut out built date
my $built = $1 if $version =~ s/(\d{4}\-\d{2}\-\d{2})//;

## cut out unneeded words
$version =~ s/^[^\d]*//;
$version =~ s/[^\d]*$//;

## Insert sql
my $sql = qq{REPLACE INTO  hspc_version (id, version, built, installed) VALUES (NULL, '$version', '$built', utc_timestamp())};

## update version
select_run($sql);

exit;
