#!/usr/bin/perl

use strict;
use warnings;

use IO::File;
use Compress::Zlib qw(gzopen);

use constant LOGFILE => '/tmp/product_installer.log';

exit(0) unless -e &LOGFILE;

my ($day, $mon, $year) = ( localtime(time) )[3..5];
$year += 1900; $mon += 1;
$mon = sprintf('%02d', $mon); $day = sprintf('%02d', $day);

my $sc = new IO::File(&LOGFILE)
	or die "Unable to open installer log file: $!";

my $tmpl = "/var/log/hspc/installation.$year.$mon.$day\%s.log.gz";
my $i = -e sprintf($tmpl, '');
$i++ while $i && $i < 1024 && -e sprintf($tmpl, "-$i");
my $name = $i ? sprintf($tmpl, "-$i") : sprintf($tmpl, '');
my $gz = gzopen($name, 'wb9')
	or die "Unable to create installation log archive: $!";

my $buf;
$gz->gzwrite($buf)
	while $sc->read($buf, 0xFFFF);
$gz->gzclose();
